Re: cvs precommit check troubles



I looked a little at getting a newer gettext onto Container, but
rebuilding the RHEL4 gettext package for RHEL3 proved to be more
work than I wanted to do; and I wasn't that happy with putting
custom packages onto container anyways.

So, what I did was committed the attached hack to check-po-commit.sh;
it simply skips the -c argument to msgfmt for files called 'fa.po'.
(Only the Persian team, is to my knowledge, using localized numeric
formatters at the current time.)

Regards,
					Owen

On Fri, 2005-08-05 at 11:20 -0400, Matthias Clasen wrote:
> Hi,
> 
> I can't do a glib release, because gnome cvs won't let me commit
> glib/po/fa.po, complaining about the I format modifier that is used in
> there - and that although we do msgfmt -c during distcheck now to verify
> that all formats are correct! The source of the problem is that the
> precommit check is run on container, which has a too old gettext to know
> about the I format modifier. Please update gettext on container to 0.14,
> or turn off this particular precommit check.
> 
> Thanks,
> 
> Matthias
> 
> PS: I have no idea why this did not happen when I did the earlier 2.7.x
> releases, which to my knowledge also had the I in fa.po...

Index: check-po-commit.sh
===================================================================
RCS file: /cvs/gnome/CVSROOT/check-po-commit.sh,v
retrieving revision 1.6
diff -u -p -r1.6 check-po-commit.sh
--- check-po-commit.sh	5 Aug 2005 09:59:43 -0000	1.6
+++ check-po-commit.sh	5 Aug 2005 16:08:25 -0000
@@ -6,9 +6,20 @@
 
 while [ $# -gt 0 ]
 do
+    # The Farsi team is using localized numeric formats
+    # in their .po files, but gettext on cvs.gnome.org isn't
+    # new enough to handle them.
+    case "$1" in
+    *fa.po )
+	DASH_C=""
+    ;;
+    * )
+	DASH_C=" -c"
+    ;;
+    esac
     case "$1" in
     *.po )
-        if ! message=`msgfmt -c -o /dev/null "$1" 2>&1`
+        if ! message=`msgfmt $DASH_C -o /dev/null "$1" 2>&1`
         then
             cat <<EOF
 *************************************************

Attachment: signature.asc
Description: This is a digitally signed message part



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]